Package picard.analysis

# Class CollectRrbsMetrics.CollectRrbsMetricsReferenceArgumentCollection

java.lang.Object
picard.analysis.CollectRrbsMetrics.CollectRrbsMetricsReferenceArgumentCollection

All Implemented Interfaces:
  `ReferenceArgumentCollection`

Enclosing class:
  CollectRrbsMetrics

public static class CollectRrbsMetrics.CollectRrbsMetricsReferenceArgumentCollection extends Object implements ReferenceArgumentCollection

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`REFERENCE`

## Constructor Summary

Constructors
Constructor
Description
`CollectRrbsMetricsReferenceArgumentCollection()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getReferenceFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### REFERENCE

@Argument(doc="The reference sequence fasta file", shortName="R") public File REFERENCE

## Constructor Details

### CollectRrbsMetricsReferenceArgumentCollection

public CollectRrbsMetricsReferenceArgumentCollection()

## Method Details

### getReferenceFile

public File getReferenceFile()

Specified by:
  `getReferenceFile` in interface `ReferenceArgumentCollection`
Returns:
  The reference provided by the user, if any, or the default, if any.